# Module MMTK.ParticleProperties

## Functions

- isParticleProperty()

  Returns 1 if object is a ParticleProperty.

- isConfiguration()

  Returns 1 if object is a Configuration.

## Class ParticleProperty: Property defined for each particle

This is an abstract base class; for creating instances, use one of its subclasses: MMTK.ParticleScalar, MMTK.ParticleVector, MMTK.ParticleTensor.

ParticleProperty objects store properties that are defined per particle, such as mass, position, velocity, etc. The value corresponding to a particular atom can be retrieved or changed by indexing with the atom object.

Methods:

- zero()

  Returns an object of the element type (scalar, vector, etc.) with the value 0.

- sumOverParticles()

  Returns the sum of the values for all particles.

- assign(other)

  Copy all values from other, which must be a compatible ParticleProperty object.

- scaleBy(factor)

  Multiply all values by factor (a number).